Bug 1063304 - pdns-recursor exceeds the number of available filedescriptors for mthreads
Summary: pdns-recursor exceeds the number of available filedescriptors for mthreads
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pdns-recursor
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Morten Stevens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 13:21 UTC by Morten Stevens
Modified: 2014-03-01 07:14 UTC (History)
2 users (show)

Fixed In Version: pdns-recursor-3.5.3-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-01 07:09:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Morten Stevens 2014-02-10 13:21:10 UTC
Description of problem:

pdns-recursor exceeds the number of available filedescriptors for mthreads

Version-Release number of selected component (if applicable):

pdns-recursor-3.5.3-1.el7
pdns-recursor-3.5.3-1.el6
pdns-recursor-3.5.3-1.el5

Additional info:

Upstream patch available:

From e24b124a4c7b49f38ff8bcf6926cd69077d16ad8 Mon Sep 17 00:00:00 2001
From: bert hubert <bert.hubert@netherlabs.nl>
Date: Thu, 6 Feb 2014 12:48:23 +0100
Subject: [PATCH] make sure we don't exceed the number of available
 filedescriptors for mthreads. You can still overshoot a little bit, but not
 all mthreads will be using an fd.

https://github.com/Habbie/pdns/commit/e24b124a4c7b49f38ff8bcf6926cd69077d16ad8

Comment 1 Fedora Update System 2014-02-10 17:29:47 UTC
pdns-recursor-3.5.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pdns-recursor-3.5.3-2.el6

Comment 2 Fedora Update System 2014-02-10 17:29:49 UTC
pdns-recursor-3.5.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pdns-recursor-3.5.3-2.el5

Comment 3 Fedora Update System 2014-02-11 19:13:35 UTC
Package pdns-recursor-3.5.3-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pdns-recursor-3.5.3-2.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0511/pdns-recursor-3.5.3-2.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-03-01 07:09:57 UTC
pdns-recursor-3.5.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-03-01 07:14:03 UTC
pdns-recursor-3.5.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.